
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Registration Form</title>
<style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
        background-color: #f4f4f4;
    }
    .container {
        max-width: 400px;
        margin: 50px auto;
        padding: 20px;
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }
    h1 {
        text-align: center;
    }
    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="password"] {
        width: 100%;
        padding: 10px;
        margin: 8px 0;
        box-sizing: border-box;
        border: 1px solid #ccc;
        border-radius: 4px;
    }
    input[type="radio"] {
        margin-right: 5px;
    }
    button[type="submit"] {
        width: 100%;
        background-color: green;
        color: white;
        padding: 14px 20px;
        margin: 8px 0;
        border: none;
        border-radius: 10px;
        cursor: pointer;
    }
    button[type="submit"]:hover {
        background-color: #45a049;
    }
</style>
</head>
<body>

<div class="container">
    <h1>Registration Form</h1>
    <form action="Register" method="post">
        <label for="empId">Enter empId:</label>
        <input type="number" id="empId" name="empId" required><br>
        
        <label for="empName">Enter empName:</label>
        <input type="text" id="empName" name="empName" required><br>
        
        <label>Select Gender:</label>
        <input type="radio" id="Male" name="gender" value="Male" required>
        <label for="Male">Male</label>
        <input type="radio" id="Female" name="gender" value="Female" required>
        <label for="Female">Female</label><br>
        
        <label for="salary">Enter salary:</label>
        <input type="number" id="salary" name="salary" required><br>
        
        <label for="emailId">Enter EmailId:</label>
        <input type="email" id="emailId" name="emailId" required><br>
        
        <label for="password">Enter Password:</label>
        <input type="password" id="password" name="password" required><br>
        
        <button type="submit">Register</button>
    </form>
</div>

</body>
</html>
